# Uses of Interface
java.lang.classfile.instruction.TypeCheckInstruction

Packages that use TypeCheckInstruction
Package
Description
java.lang.classfile.instruction
Provides interfaces describing code instructions for the `java.lang.classfile` library.

## Uses of TypeCheckInstruction in java.lang.classfile.instruction

Methods in java.lang.classfile.instruction that return TypeCheckInstruction
Modifier and Type
Method
Description
`static TypeCheckInstruction`
TypeCheckInstruction.`of(Opcode op, ClassEntry type)`
Returns a type check instruction.
`static TypeCheckInstruction`
TypeCheckInstruction.`of(Opcode op, ClassDesc type)`
Returns a type check instruction.